SDL Library Documentation
Prev |  | Next

# SDL_GetClipRect

## Name

SDL_GetClipRect -- Gets the clipping rectangle for a surface.

## Synopsis

    #include "SDL.h"

``void SDL_GetClipRect`(SDL_Surface *surface, SDL_Rect *rect);`

## Description

Gets the clipping rectangle for a surface. When this surface is the destination of a blit, only the area within the clip rectangle is drawn into.

The rectangle pointed to by `rect` will be filled with the clipping rectangle of the surface.

## See Also

`SDL_SetClipRect`, `SDL_BlitSurface`, SDL_Surface

Prev | Home | Next
SDL_SetClipRect | Up | SDL_ConvertSurface